/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;


/**
 * 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-06 14:56:51  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "")
public class CpLogContent extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_content = "content";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 日志内容<br>
   */
  @ApiModelProperty("日志内容")
  @Size(max = 1000, message="日志内容-content: 数据长度不能 > 1000" )
  private String content;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 日志类容<br>
   */
  public String getContent()
  {
      return content;
    }

  /**
   * 日志内容<br>
   *
   * @param content 日志内容
   */
  public void setContent(String content)
  {
      this.content = content;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CpLogContent()
  {
  }

}
